import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";

export default defineConfig({
  plugins: [react()],
  server: {
    port: 5173,
    cors: {
      origin: [
        "https://eu-assets.i.posthog.com",
        "https://app.posthog.com",
        "https://eu.posthog.com",
      ],
      allowedHeaders: ["posthog-session-id", "ph-session-id"],
    },
  },
});
